/*
  Hangul Drawing routine used in X

  version 0.22

  1997.2.1 Choi Jun-Ho(junker@jazz.snu.ac.kr)
  Narae, CS Dept, SNU.
*/

#ifndef __NXDRAW__
#define __NXDRAW__

#include <X11/Xlib.h>

#define NXLIB

#define MAX_NHFONT  10
#define MAX_LINE    256

/* default hangul font */

/* if your machine is Solaris 2.4 and above, trying this for default font.. */
/*#define NX_DEFAULTFONT "-sun-gothic-medium-r-normal--12-120-75-75-c-120-ksc5601.1987-0"*/

/* this works almost all cases... NX_DEFALUTFONT must exist! */
#define NX_DEFAULTFONT  "-daewoo-gothic-medium-r-normal--16-120-100-100-c-160-ksc5601.1987-0"

typedef struct _NXFont{
  int ascent;
  char* fontname;
  XFontStruct* font;
  XID fid;
  struct _NXFont* next; /* linked list */
} NXFont;

extern Display* NX_Display;

Display* NXOpenDisplay();
int NXRegisterFontByName();
void NXDrawString();
int  NXTextWidth();
void NXCloseDisplay();

#ifndef NXLIB
#define NXTextWidth XTextWidth
#define NXDrawString XDrawString
#endif

#endif
